---
layout: default
title: GitLab Privacy Policy
---
.container.txt-lefty
  .row
    .col-sm-8.col-md-8.col-sm-offset-2.col-md-offset-2
      %h2 Introduction
      %p This privacy policy (“Privacy Policy”) applies to all visitors and users of the GitLab.com hosted services and websites (collectively, the “Website” or “Websites”), which are offered by GitLab B.V. and/or any of its affiliates (“GitLab” or “we” or “us”).  Self-managed GitLab instances are not included in the definition of Website.  Please read this Privacy Policy carefully. By accessing or using any part of the Websites, you acknowledge you have been informed of and consent to our practices with regard to your personal information and data.

      %p GitLab is an open source project and collaborative community, as well as a company.  This means that many portions of our Websites, including information you voluntarily provide, will be public-facing for the open sharing of innovative developments, ideas, and information that makes our collaborative community so great. While we are committed to open sharing, we strive to respect the privacy of individual community members and will minimize the information we collect and share.  If you do not want to share your information, including personally identifiable information, with other community members and the public, please be thoughtful as to how you interact with our Websites and what information you provide through the Websites (for example, through creating a public profile, project contributions, comments, and blog posts).

      %h2 What Information GitLab Collects and Why
      %h3 Information from Website Visitors

      %p Like most website operators, GitLab collects basic non-personally-identifying information from Website visitors of the sort that web browsers and servers typically make available, such as the browser type, language preference, referring site, and the date and time of each visitor request. We collect this information to better understand how visitors use the Website, to improve our Websites and experience for visitors, and to monitor security of the Websites. From time to time, GitLab may publicly release non-personally-identifying information collected from Website visitors in the aggregate, e.g., by publishing a report on trends in the usage of the Website.

      %p GitLab also collects potentially personally-identifying information like Internet Protocol (IP) addresses from visitors. GitLab does not use such information to identify or track individual visitors, however. We collect this information to understand how visitors use the Websites, to improve performance and content, and to monitor security of the Websites.

      %p GitLab may collect statistics about the behavior of visitors to our Websites. For instance, GitLab may reveal how many downloads a particular version got using aggregated statistics that contain anonymous user information only.

      %h3 Usage Data Information from Self-managed GitLab Instances

      %p GitLab collects information about usage from each self-managed  GitLab instance (Community Edition and Enterprise Edition) through a usage ping. The usage ping sends a payload containing data such as total number of projects and pipelines, as well as license information and hostname to GitLab. Only aggregates of usage data is sent: no project names or other content is sent to GitLab. You can view the exact payload of the usage ping in the administration panel in GitLab. Here you can also opt-out of the usage ping. You can read more about the usage ping in the documentation.

      %h3 Personally-Identifying Information

      %p Users of the Websites may choose to interact with GitLab in ways that provide us with their personally-identifying information. The amount and type of information that GitLab gathers depends on the nature of your interaction with us, as well as the amount of information you choose to share. For example, we ask visitors who use our blog forums to provide a username and email address to identify them on the Website.  We will also collect the information you provide with us in connection with creating an account on the Website.  Profile information is shared publicly, as well as activity under your profile and the date your profile was created. If you report a security vulnerability to GitLab and request public acknowledgement, then we may publicly disclose the personal information you provided to us in connection with the report, including your name to fulfill your request for acknowledgement.  In each case, GitLab collects such personally-identifiable information only insofar as is necessary or appropriate to fulfill the purpose of the user’s interaction with or request of GitLab. We will not disclose personally-identifying information other than as described in this Privacy Policy.

      %p Visitors can always refuse to supply personally-identifying information, with the caveat that it may prevent you from engaging in certain Website-related activities or being able to access and use certain features and services.

      %h3 Information GitLab Does Not Collect

      %p GitLab does not intentionally collect sensitive personal information, such as social security numbers, genetic data, health information, or religious information. Although GitLab does not request or intentionally collect any sensitive personal information, we realize that users might store this kind of information in a Gitlab repository. If you store any sensitive personal information on GitLab’s servers, you are consenting to our storage of that information on our servers, which are located in the United States.

      %p If you're a child under the age of 13, you may not have an account on the Website. GitLab does not knowingly collect information from or direct any of our Website or content specifically to children under 13. If we learn or have reason to suspect that a user is under the age of 13, we will close the child’s account.

      %h3 Basis for Processing Your Information

      %p Performance of a contract. The use of your information may be necessary to perform the contract that you have with us.  For example, if you use our Websites to purchase GitLab product subscriptions or services, contribute to a project, create a profile, post and comment through our Websites, or request information through our Websites, we will use your information to carry out our obligation to complete and administer that contract or request.

      %p Legitimate interests. We use your information for our legitimate interests, such as to provide you with the best content through our Websites and communications with users and the public, to improve and promote our products and services, and for administrative, security, fraud prevention and legal purposes.

      %p Consent. We may rely on your consent to use your personal information for certain direct marketing purposes, such as sending you newsletter updates about GitLab products. You may withdraw your consent at any time through the unsubscribe feature provided with each marketing email or by contacting us at the addresses given at the end of this Privacy Policy.

      %h2 How GitLab Uses and Protects Personally-Identifying Information
      %h3 Sharing Your Information

      %p GitLab only discloses potentially personally-identifying and personally-identifying information to those of its employees, contractors, and affiliated organizations that (i) need to know that information in order to process it on GitLab's behalf or to provide services available on the Website, and (ii) that have agreed not to disclose it to others.

      %p GitLab will not rent or sell potentially personally-identifying and personally-identifying information to anyone. Other than to its employees, contractors, and affiliated organizations, as described above, GitLab discloses potentially personally-identifying and personally-identifying information only when required to do so by law, or when GitLab believes in good faith that disclosure is reasonably necessary to protect the property or rights of GitLab, third parties, or the public at large.

      %p GitLab takes measures reasonably necessary to protect against the unauthorized access, use, alteration, or destruction of potentially personally-identifying and personally-identifying information.

      %h3 International Transfer of Information

      %p The Website is hosted in the United States and information we collect will be stored and processed on our servers in the United States.  Our employees, contractors and affiliated organizations that process information for us as described above may be located in the United States or in other countries outside of your home country; by using the Website, you consent to the international transfer of your information by GitLab.

      %h3 GitLab Communications with You

      %p If you are a registered user of the Websites and have supplied your email address, GitLab may occasionally send you an email to tell you about security, system information, new features, solicit your feedback, or just keep you up to date with what's going on with GitLab and our products. We primarily use our blog to communicate this type of information, so we expect to keep this type of email to a minimum. There's an unsubscribe link located at the bottom of each of the marketing emails we send you so you can stop receiving such emails at any time.

      %p If you send us a request (for example via a support email or via one of our feedback mechanisms), we reserve the right to publish your request in order to help us clarify or respond to your request or to help us support other users. We will not publish your personally-identifiable information in connection with your request.

      %h2 Cookies, Tracking Technologies and Do Not Track
      %h3 Cookies

      %p A cookie is a string of information that a website stores on a visitor's computer, and that the visitor's browser provides to the website each time the visitor returns. GitLab uses cookies to help GitLab identify and track visitors, their usage of the Websites, and their Website access preferences. GitLab visitors who do not wish to have cookies placed on their computers may set their browsers to refuse cookies before using the Websites.  Disabling browser cookies may cause certain features of GitLab's websites to not function properly.

      %p Certain pages on the Website may set other third party cookies. For example, we may embed content, such as videos, from another site that sets a cookie. These sites set their own cookies and we do not have access or control over these cookies.  The use of cookies by third parties is not covered by our Privacy Policy.

      %p
        = succeed '.' do
          For more information on what cookies are used, visit our
          = link_to "Cookies Policy", "/privacy/cookies/"

      %h3 Tracking Technologies

      %p We use third party tracking services, but we don’t use these services to track you individually or collect your personally identifiable-information. We use these services to collect information about how the Website performs and how users navigate through and use the Website so we can monitor and improve our content and Website performance.

      %p Third party tracking services gather certain simple, non-personally identifying information over time, such as your IP address, browser type, internet service provider, referring and exit pages, timestamp, and similar data about your use of the Website. We do not link this information to any of your personal information such as your user name.

      %h3 Do Not Track

      %p "Do Not Track" is a privacy preference you can set in your browser if you do not want online services to collect and share certain kinds of information about your online activity from third party tracking services. GitLab does not track your online browsing activity on other online services over time and we do not permit third-party services to track your activity on our site beyond our basic tracking, which you may opt out of. Because we do not share this kind of data with third party services or permit this kind of third party data collection for any of our users, and we do not track our users on third-party websites ourselves, we do not need to respond differently to an individual browser's Do Not Track setting.

      %h2 Global Privacy Practices

      %p Information we collect will be stored and processed in the United States in accordance with this Privacy Policy but we understand that users from other countries may have different expectations and rights with regard to their privacy.  For all Website visitors and users, no matter their country of location, we will:

      %ul
        %li provide clear methods of unambiguous, informed consent when we do collect your personal information;
        %li only collect the minimum amount of personal data necessary for the purpose it is collected for, unless you choose to provide us more;
        %li offer you simple methods of accessing, correcting, or deleting your information that we have collected, with the exception of information you voluntarily provide that is necessary to retain as is for the integrity of our project code as described further below; and
        %li provide Website users notice, choice, accountability, security, and access, and we limit the purpose for processing. We also provide our users a method of recourse and enforcement.

      %p If you are located in the European Union, you are entitled to the following rights with regard to your personal information and data:

      %ul
        %li Right of access to your personal data, to know what information about you we hold
        %li Right to correct any incorrect or incomplete personal data about yourself that we hold
        %li Right to restrict/suspend our processing of your personal data
        %li Right to complain to a supervisory authority if you believe your privacy rights are being violated

      %p Additional rights that may apply to you in certain instances:

      %ul
        %li Right of data portability (if our processing is based on consent and automated means)
        %li Right to withdraw consent at any time (if processing is based on consent)
        %li Right to object to processing (if processing is based on legitimate interests)
        %li Right to object to processing of personal data for direct marketing purposes
        %li Right of erasure of your personal data from our system (“right to be forgotten”) if certain grounds are met

      %p To exercise your privacy rights, you can email us at the address given below in the ‘Contacting GitLab About Your Privacy’ section of this Privacy Policy.

      %h2 Data Retention and Deletion

      %p If you already have an account on the Websites, you may access, update, alter, or delete your basic user profile information by logging into your account and updating profile settings.

      %p GitLab will retain your information for as long as your account is active or as needed to perform our contractual obligations, provide you services through the Website, to comply with legal obligations, resolve disputes, preserve legal rights, or enforce our agreements.

      %p We will delete inactive accounts after a period of twelve (12) months.  We will also erase information once it is no longer necessary to fulfill the purposes for which it was collected and processed.

      %p Please note that due to the open source nature of our products, services, and community, we may retain limited personally-identifiable information indefinitely.  For example, if you provide your information in connection with a blog post or comment, we may display that information even if you have deleted your account as we do not automatically delete community posts.  Also, as described in our Terms of Use, if you contribute to a GitLab project and provide your personal information in connection with that contribution, that information (including your name) will be embedded and publicly displayed with your contribution and we will not be able to delete or erase it because doing so would break the project code.

      %h2 Contacting GitLab About Your Privacy

      %p
        If you have questions or concerns about the way we are handling your information, or would like to exercise your privacy rights, please email us with the subject line "Privacy Concern" at
        = succeed "." do
          %a{href: "mailto:legal@gitlab.com"} GitLab Legal

      %p We will respond within 30 days of receiving your message at the latest but please note for promptest response, we recommend emailing us.

      %h2 Privacy Policy Changes

      %p Although most changes are likely to be minor, GitLab may change its privacy policy from time to time, and in GitLab's sole discretion. We will provide notification to users who have provided us email addresses of material changes to this Privacy Policy through our Website prior to the change taking effect by posting a notice on our home page or sending email to the email address specified in your account.  GitLab encourages visitors to frequently check this page for any minor changes to its Privacy Policy. Your continued use of this site after any change in this Privacy Policy will constitute your acceptance of such change.

      %p
        %a{href: "https://gitlab.com/gitlab-com/www-gitlab-com/commits/master/source/privacy/index.html.haml"} Privacy policy change history
